Bug 401739 - Kmail crashes while open on fresh start system, attempting to reopen it results in the completely empty application window, no mailbox or mail message available
Summary: Kmail crashes while open on fresh start system, attempting to reopen it resul...
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE Linux
: VHI crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 401201 402129 402253 404041 404570 404678 405703 405707 405983 409248 409970 410028 410267 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-12-04 15:43 UTC by Antonio Bragatto
Modified: 2022-10-27 05:05 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (48.01 KB, patch)
2019-11-03 21:58 UTC, Szőts Ákos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Bragatto 2018-12-04 15:43:13 UTC
Application: kmail (5.9.3)

Qt Version: 5.11.2
Frameworks Version: 5.52.0
Operating System: Linux 4.19.5-1-default x86_64
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed: Idle system, Firefox only application currently open streaming a video on Youtube

- Custom settings of the application:

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc210f5ea40 (LWP 4173))]

Thread 31 (Thread 0x7fc16bfff700 (LWP 13085)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2baf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7fc1c77fe700 (LWP 13073)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7fc1c7fff700 (LWP 13072)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7fc1f74f4700 (LWP 13066)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222f04f46 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc1e8005140, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc1f74f3b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563afd6fbc90) at thread/qthread_unix.cpp:367
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7fc170f67700 (LWP 4260)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7fc171f03700 (LWP 4259)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21a3af01a in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fc21a3af03b in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7fc172bcd700 (LWP 4247)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222f04f46 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc164000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc172bccb60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563b00ea47d0) at thread/qthread_unix.cpp:367
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7fc1acff9700 (LWP 4220)):
#0  0x00007fc226a13d34 in read () from /lib64/libc.so.6
#1  0x00007fc21502aec1 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#2  0x00007fc21958e4fe in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007fc21958ef60 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007fc21958f020 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007fc21959d039 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007fc215059e28 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-12.2.so
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fc1ad7fa700 (LWP 4219)):
#0  0x00007fc226a300cc in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fc226a31df4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007fc218db202f in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fc218db21f4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fc218db3b60 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fc218da9998 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fc21ce9f759 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fc1adffb700 (LWP 4218)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ce9923f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fc1ae7fc700 (LWP 4217)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ce99250 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7fc1aeffd700 (LWP 4216)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21d923d18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21cee42e6 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7fc1af7fe700 (LWP 4215)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fc1affff700 (LWP 4214)):
#0  0x00007fc226a300cc in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fc226a31df4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007fc218db202f in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fc218db21f4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fc218db3b60 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fc218da9998 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fc21ce9f894 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fc21bfd536a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fc21bfd5817 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fc21cee18a8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#13 0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fc1c4ff9700 (LWP 4213)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2baf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fc1c57fa700 (LWP 4212)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fc1c5ffb700 (LWP 4211)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2baf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fc1c67fc700 (LWP 4210)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2baf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fc1c6ffd700 (LWP 4209)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2baf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fc1e4ff9700 (LWP 4206)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fc1e57fa700 (LWP 4205)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fc1e67fc700 (LWP 4203)):
#0  0x00007fc2241408c8 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecad37 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca0a in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaf2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ced18b1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21ced2d91 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fc1e6ffd700 (LWP 4202)):
#0  0x00007fc226a13e07 in write () from /lib64/libc.so.6
#1  0x00007fc2269a462d in _IO_file_write@@GLIBC_2.2.5 () from /lib64/libc.so.6
#2  0x00007fc2269a39df in new_do_write () from /lib64/libc.so.6
#3  0x00007fc2269a4d5e in __GI__IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007fc22697b83a in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007fc226978c62 in vfprintf () from /lib64/libc.so.6
#6  0x00007fc226a31e46 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007fc218db202f in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#8  0x00007fc218db21f4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#9  0x00007fc218db3b60 in ?? () from /usr/lib64/libevent-2.1.so.6
#10 0x00007fc218da9998 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#11 0x00007fc21ce9f7ad in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#16 0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fc1e77fe700 (LWP 4201)):
#0  0x00007fc2241404dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fc21cecac69 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007fc21cecca18 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007fc21ceccaaf in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007fc21ce9923f in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fc1e7fff700 (LWP 4200)):
#0  0x00007fc226a300cc in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fc226a31df4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007fc218db202f in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007fc218db21f4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007fc218db3b60 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007fc218da9998 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007fc21ce9f759 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007fc21cebe9ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007fc21cee1774 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007fc21cedd1c1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fc1f7fff700 (LWP 4180)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222f04f46 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc1f0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc1f7ffeb60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563afcdb20f0) at thread/qthread_unix.cpp:367
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fc2049b5700 (LWP 4179)):
#0  0x00007fc222f04a52 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc222f04ef0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc1fc000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc2049b4b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563afd4b2b70) at thread/qthread_unix.cpp:367
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fc2051b6700 (LWP 4178)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222f04f46 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc1f8000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc2051b5b60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563afd46b4a0) at thread/qthread_unix.cpp:367
#7  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fc2063c7700 (LWP 4177)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222f04f46 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc22713db1b in QEventDispatcherGlib::processEvents (this=0x7fc200000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fc2063c6b30, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007fc226f39de6 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007fc2265c0545 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x7fc22663ad60) at thread/qthread_unix.cpp:367
#8  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fc20e958700 (LWP 4175)):
#0  0x00007fc226a182c9 in poll () from /lib64/libc.so.6
#1  0x00007fc222d01cc7 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fc222d038ea in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fc20f271519 in QXcbEventReader::run (this=0x563afcd41b00) at qxcbconnection.h:409
#4  0x00007fc226f439b7 in QThreadPrivate::start (arg=0x563afcd41b00) at thread/qthread_unix.cpp:367
#5  0x00007fc22413a554 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fc226a22ccf in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fc210f5ea40 (LWP 4173)):
[KCrash Handler]
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0xffff00000118>) at /usr/include/c++/8/bits/atomic_base.h:390
#7  QAtomicOps<int>::load<int> (_q_value=<error reading variable: Cannot access memory at address 0xffff00000118>) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=<error reading variable: Cannot access memory at address 0xffff00000118>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=<error reading variable: Cannot access memory at address 0xffff00000118>) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:101
#10 QList<QWidget*>::append (this=0xffff00000118, t=@0x7fff93554fd0: 0x563afdc86040) at ../../include/QtCore/../../src/corelib/tools/qlist.h:581
#11 0x00007fc227ac1b22 in QWidget::insertAction (this=this@entry=0x563afdc86040, before=<optimized out>, before@entry=0x0, action=0x563afd7ffb90) at kernel/qwidget.cpp:3304
#12 0x00007fc2268cba36 in KXMLGUI::ActionList::plug (this=this@entry=0x563b00a5d730, container=0x563afdc86040, index=<optimized out>) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory_p.cpp:45
#13 0x00007fc2268cfa34 in KXMLGUI::ContainerNode::plugActionList (this=this@entry=0x563b00556fb0, state=..., mergingIdxIt=@0x7fff93555178: 0x563afd85e3a8) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory_p.cpp:233
#14 0x00007fc2268cfc4e in KXMLGUI::ContainerNode::plugActionList (this=0x563b00556fb0, state=...) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory_p.cpp:203
#15 0x00007fc2268cfcb3 in KXMLGUI::ContainerNode::plugActionList (this=0x563afda1f020, state=...) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory_p.cpp:207
#16 0x00007fc2268cfcb3 in KXMLGUI::ContainerNode::plugActionList (this=0x563b00882bb0, state=...) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory_p.cpp:207
#17 0x00007fc2268c946b in KXMLGUIFactory::plugActionList (this=0x563b00882b90, client=client@entry=0x563afd6298f0, name=..., actionList=...) at /usr/src/debug/kxmlgui-5.52.0-1.1.x86_64/src/kxmlguifactory.cpp:574
#18 0x00007fc2268bcb3b in KXMLGUIClient::plugActionList (this=this@entry=0x563afd6298f0, name=..., actionList=...) at /usr/include/c++/8/bits/atomic_base.h:390
#19 0x00007fc22576e87d in PimCommon::PluginInterface::initializePluginActions (this=<optimized out>, prefix=..., guiClient=0x563afd6298f0) at /usr/src/debug/pimcommon-18.08.3-1.1.x86_64/src/pimcommonakonadi/genericplugins/plugininterface.cpp:153
#20 0x00007fc228128dce in KMMainWidget::initializePluginActions (this=<optimized out>) at /usr/src/debug/kmail-18.08.3-1.1.x86_64/src/kmmainwidget.cpp:4122
#21 0x00007fc22812f6ad in KMMainWidget::slotShowStartupFolder (this=0x563afd514540) at /usr/src/debug/kmail-18.08.3-1.1.x86_64/src/kmmainwidget.cpp:4031
#22 0x00007fc227120e56 in QtPrivate::QSlotObjectBase::call (a=0x7fff935554c0, r=<optimized out>, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:376
#23 QSingleShotTimer::timerEvent (this=0x563b00e76be0) at kernel/qtimer.cpp:318
#24 0x00007fc2271158eb in QObject::event (this=0x563b00e76be0, e=<optimized out>) at kernel/qobject.cpp:1232
#25 0x00007fc227a8c4a1 in QApplicationPrivate::notify_helper (this=this@entry=0x563afcd211d0, receiver=receiver@entry=0x563b00e76be0, e=e@entry=0x7fff93555780) at kernel/qapplication.cpp:3728
#26 0x00007fc227a93af0 in QApplication::notify (this=0x7fff93555ec0, receiver=0x563b00e76be0, e=0x7fff93555780) at kernel/qapplication.cpp:3487
#27 0x00007fc2270ebe29 in QCoreApplication::notifyInternal2 (receiver=0x563b00e76be0, event=event@entry=0x7fff93555780) at ../../include/QtCore/5.11.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:307
#28 0x00007fc22713cf18 in QCoreApplication::sendEvent (event=0x7fff93555780, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#29 QTimerInfoList::activateTimers (this=0x563afcde6a90) at kernel/qtimerinfo_unix.cpp:643
#30 0x00007fc22713d774 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#31 0x00007fc222f04c15 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fc222f04fd8 in ?? () from /usr/lib64/libglib-2.0.so.0
#33 0x00007fc222f0506c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#34 0x00007fc22713db03 in QEventDispatcherGlib::processEvents (this=0x563afcd79260, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#35 0x00007fc20f3049d1 in QPAEventDispatcherGlib::processEvents (this=0x563afcd79260, flags=...) at qeventdispatcher_glib.cpp:69
#36 0x00007fc2270eaafb in QEventLoop::exec (this=this@entry=0x7fff93555a00, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#37 0x00007fc2270f2c72 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#38 0x0000563afc8a133b in main (argc=<optimized out>, argv=<optimized out>) at /usr/include/qt5/QtCore/qcoreapplication.h:116
[Inferior 1 (process 4173) detached]

Possible duplicates by query: bug 384419, bug 383070, bug 372712, bug 368767.

Reported using DrKonqi
Comment 1 Christoph Feck 2018-12-06 02:47:11 UTC
*** Bug 401201 has been marked as a duplicate of this bug. ***
Comment 2 Antonio Bragatto 2018-12-12 14:22:32 UTC
I think I found the culprit, it turned out that one of the RAM modules was almost completely defective, which among other things had damaged Akonadi's database and caused the problem reported;

Replaced the RAM module, so far so good;
Comment 3 Christoph Feck 2018-12-12 23:15:07 UTC
Thanks for the update. Keeping it open, because Alexander had the same crash. I doubt he also has defective memory chips.
Comment 4 Christoph Feck 2018-12-17 20:32:23 UTC
*** Bug 402253 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2018-12-17 20:32:39 UTC
*** Bug 402129 has been marked as a duplicate of this bug. ***
Comment 6 avlas 2019-01-04 01:15:04 UTC
If bug 402253 is truly a duplicate of this, the affected users can benefit of the workaround I found.

See https://bugs.kde.org/show_bug.cgi?id=402253#c14 and https://bugs.kde.org/show_bug.cgi?id=402253#c16
Comment 7 Christoph Feck 2019-03-09 16:18:10 UTC
*** Bug 404570 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2019-03-09 16:18:33 UTC
*** Bug 404041 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2019-03-31 09:36:22 UTC
*** Bug 405983 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2019-03-31 09:36:52 UTC
*** Bug 405707 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2019-03-31 09:38:00 UTC
*** Bug 404678 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2019-07-16 10:44:42 UTC
*** Bug 409248 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2019-08-05 20:01:04 UTC
*** Bug 405703 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2019-08-05 20:01:27 UTC
*** Bug 409970 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2019-08-05 20:01:47 UTC
*** Bug 410028 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2019-08-05 20:02:14 UTC
*** Bug 410267 has been marked as a duplicate of this bug. ***
Comment 17 Szőts Ákos 2019-11-03 21:58:18 UTC
Created attachment 123707 [details]
New crash information added by DrKonqi

kontact (5.12.2) using Qt 5.13.1

- What I was doing when the application crashed:

I started Kontact in KOrganizer module, then some seconds later closed it, then immediately reopened. Just after it the crash reporter icon appeared.

-- Backtrace (Reduced):
#6  0x00007f1efcd15717 in std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/9/bits/atomic_base.h:413
#7  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=<optimized out>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:103
#9  QtPrivate::RefCount::isShared (this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:101
#10 QList<QWidget*>::append (this=0x55cbb858ce38, t=@0x7ffda276ed10: 0x55cbb8b3a8f0) at ../../include/QtCore/../../src/corelib/tools/qlist.h:600
Comment 18 Justin Zobel 2022-09-27 08:23:51 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!
Comment 19 uwe.helms 2022-09-27 09:32:36 UTC
Because of the problems I do not use kmail anymore.
Comment 20 Bug Janitor Service 2022-10-12 04:54:54 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 21 Bug Janitor Service 2022-10-27 05:05:14 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!